@echo off

rem Select type 0=CPC464, 1=CPC664, 2=CPC6128, 3=CPC464+, 4=CPC6128+, 5=KC
set CPCTYPE=2

rem check if TMP directory exists, otherwise use TEMP or exit with error
if "%TMP%"==""  set TMP=%TEMP%
if "%TMP%"==""  goto ERR_NOTMP
if not exist "%TMP%\NUL"  goto ERR_NOTMP

if not exist "CPCEMU.CFG" goto ERR_INSTALL_FIRST
set CFGFILE=%TMP%\CPCEMU.CFG
if exist "%CFGFILE%" goto EXECUTE

rem Setup
cls
echo CPCEMU v1.5 -- Mini Setup
echo.
echo Language
echo 0  English
echo 1  German
echo 2  French
echo 3  Spanish
echo.
echo (Your choice will be put into "%CFGFILE%")
echo.
choice /c:0123 /t:0,20 "Select Language "

rem the following IFs are ">=" comparisions
if errorlevel 1  set LANG=0
if errorlevel 2  set LANG=1
if errorlevel 3  set LANG=2
if errorlevel 4  set LANG=3

copy CPCEMU.CFG %CFGFILE%
echo ; >> %CFGFILE%
echo LANGUAGE = %LANG% >> %CFGFILE%
echo KBD_LANGUAGE = %LANG% >> %CFGFILE%

rem now we can execute CPCEMU...

:EXECUTE
CPCEMU -c %CFGFILE% -t %CPCTYPE% %1 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 2 goto ERR_EMU_FATAL
if errorlevel 1 goto ERR_EMU
goto OK

:ERR_NOTMP
echo TMP directory does not exist!
goto EXIT

:ERR_INSTALL_FIRST
echo Configuration file CPCEMU.CFG not found.
echo Please run INSTALL.BAT first.
goto EXIT

:ERR_EMU
echo Some error occured.
goto EXIT

:ERR_EMU_FATAL
echo Some fatal error occured.
goto EXIT

:OK

:EXIT
